Which Android devices can I manage with Habyts?

 

Habyts works on all Android devices running Android 4.0 (IceCream Sandwich), Android 5.0 (Lollipop) and Android 6.0 (Marshmallow).

For optimum results it is recommended devices are running Android 4.4 (KitKat) and onwards.

 

Habyts doesn't yet work on Amazon Fire (coming very soon)!

 

For more information on the Home Page, see the article(s) below:

 

 

Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.